

Size_Base       = 60;
inter_vase      = 20;

sup_internal_I  = 35;
sup_internal_II = 25;

base = Size_Base /2; // 50
sup1  = sup_internal_I /2 ; // 35
sup2  = sup_internal_II / 2;
intbase = inter_vase/2;

h0 = 70;
h1 = 5;
h2 = 20;
l1 = 100;
w1 = 4;

sep1 = 5;

module stand()
{
    rotate([90,0,0])
    difference()
    {
        linear_extrude(height = 10, center = true)
        polygon([[sup1,h0],[sup2,h0],[sup2,h2],[intbase,h1],[-intbase,h1],[-sup2,h2],[-sup2,h0],[-sup1,h0],[-base,0],[base,0]]);

    }
}

union()
{
    stand();

    translate([0,l1, 0])
     stand();

    // verticali
    translate([0,50, h1/2])
     cube([w1, l1, h1], true);

    translate([-base+sep1,50, h1/2])
     cube([w1, l1, h1], true);

    translate([base-sep1,50, h1/2])
     cube([w1, l1, h1], true);

    // orizontali
    translate([0, l1/2, h1/2])
     cube([base *2 - sep1*2, w1, h1], true);

    translate([0, l1/2 + l1/4, h1/2])
     cube([base *2 - sep1*2, w1, h1], true);
     
    translate([0, l1/2 - l1 /4, h1/2])
     cube([base *2 - sep1*2, w1, h1], true);
 }